import {Component, OnInit} from '@angular/core';
import {Api} from '../../service/api';
import {NavController} from '@ionic/angular';
import {ActivatedRoute} from '@angular/router';
import {Load} from '../../service/load';
import {Transfer} from '../../service/transfer';

@Component({
    selector: 'v-env-change-model',
    templateUrl: './env-change-model.page.html',
    styleUrls: ['./env-change-model.page.scss'],
})
export class EnvChangeModelPage implements OnInit {

    constructor(public nav: NavController,
                private api: Api,
                private ac: ActivatedRoute,
                private load: Load,
                private tf: Transfer) {}

    controlConfig = [];
    ngOnInit() {
        this.init();
    }

    init() {
        this.controlConfig = [{id: 1, name: '', startDate: '', stopDate: '', on: '', off: ''}];
    }

    addModel() {
        const modelCount = this.controlConfig.length;
        this.controlConfig.push({id: modelCount + 1, name: '', startDate: '', stopDate: '', on: '', off: ''});
    }

    deleteModel(one) {
        const updateModel = this.controlConfig.filter(data => data.id !== one.id);
        this.controlConfig = updateModel;
        this.controlConfig.forEach((item, index) => item.id = index + 1);
    }

    saveModels() {
    }

    goBack() {
        debugger;
        document.getElementById('back').click();
    }
}
